Debian Bug report logs - #354391
dsputil.h not included.

version graph

Package: libavcodec-dev; Maintainer for libavcodec-dev is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for libavcodec-dev is src:libav.

Reported by: Uwe Hermann <uwe@hermann-uwe.de>

Date: Sat, 25 Feb 2006 21:48:07 UTC

Severity: normal

Tags: patch

Found in version libavcodec-dev/0.cvs20050918-6

Fixed in version ffmpeg/0.cvs20060306-1

Done: Sam Hocevar (Debian packages) <sam+deb@zoy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, uwe@debian.org, Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
Bug#354391; Package libavcodec-dev. Full text and rfc822 format available.

Acknowledgement sent to Uwe Hermann <uwe@hermann-uwe.de>:
New Bug report received and forwarded. Copy sent to uwe@debian.org, Sam Hocevar (Debian packages) <sam+deb@zoy.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Uwe Hermann <uwe@hermann-uwe.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dsputil.h not included.
Date: Sat, 25 Feb 2006 22:40:48 +0100
[Message part 1 (text/plain, inline)]
Package: libavcodec-dev
Version: 0.cvs20050918-6
Severity: normal
Tags: patch

Hi,

the file /usr/include/ffmpeg/dsputil.h seems to be missing from the
libavcodec-dev package. I noticed this when trying to compile a recent
mplayer CVS checkout...

The attached patch should fix this (I haven't tested it, though).


HTH, Uwe.
-- 
Uwe Hermann 
http://www.hermann-uwe.de
http://www.it-services-uh.de  | http://www.crazy-hacks.org 
http://www.holsham-traders.de | http://www.unmaintained-free-software.org
[dsputil.h.patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Sam Hocevar (Debian packages) <sam+deb@zoy.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Uwe Hermann <uwe@hermann-uwe.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 354391-close@bugs.debian.org (full text, mbox):

From: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
To: 354391-close@bugs.debian.org
Subject: Bug#354391: fixed in ffmpeg 0.cvs20060306-1
Date: Thu, 06 Apr 2006 06:44:14 -0700
Source: ffmpeg
Source-Version: 0.cvs20060306-1

We believe that the bug you reported is fixed in the latest version of
ffmpeg, which is due to be installed in the Debian FTP archive:

ffmpeg_0.cvs20060306-1.diff.gz
  to pool/main/f/ffmpeg/ffmpeg_0.cvs20060306-1.diff.gz
ffmpeg_0.cvs20060306-1.dsc
  to pool/main/f/ffmpeg/ffmpeg_0.cvs20060306-1.dsc
ffmpeg_0.cvs20060306-1_i386.deb
  to pool/main/f/ffmpeg/ffmpeg_0.cvs20060306-1_i386.deb
ffmpeg_0.cvs20060306.orig.tar.gz
  to pool/main/f/ffmpeg/ffmpeg_0.cvs20060306.orig.tar.gz
libavcodec-dev_0.cvs20060306-1_i386.deb
  to pool/main/f/ffmpeg/libavcodec-dev_0.cvs20060306-1_i386.deb
libavcodec0d_0.cvs20060306-1_i386.deb
  to pool/main/f/ffmpeg/libavcodec0d_0.cvs20060306-1_i386.deb
libavformat-dev_0.cvs20060306-1_i386.deb
  to pool/main/f/ffmpeg/libavformat-dev_0.cvs20060306-1_i386.deb
libavformat0d_0.cvs20060306-1_i386.deb
  to pool/main/f/ffmpeg/libavformat0d_0.cvs20060306-1_i386.deb
libpostproc-dev_0.cvs20060306-1_i386.deb
  to pool/main/f/ffmpeg/libpostproc-dev_0.cvs20060306-1_i386.deb
libpostproc0d_0.cvs20060306-1_i386.deb
  to pool/main/f/ffmpeg/libpostproc0d_0.cvs20060306-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 354391@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sam Hocevar (Debian packages) <sam+deb@zoy.org> (supplier of updated ffmpeg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  6 Mar 2006 11:05:26 +0100
Source: ffmpeg
Binary: libavformat-dev libavformat0d ffmpeg libavcodec-dev libpostproc0d libpostproc-dev libavcodec0d
Architecture: source i386
Version: 0.cvs20060306-1
Distribution: unstable
Urgency: low
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Changed-By: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Description: 
 ffmpeg     - multimedia player, server and encoder
 libavcodec-dev - development files for libavcodec
 libavcodec0d - ffmpeg codec library
 libavformat-dev - development files for libavformat
 libavformat0d - ffmpeg file format library
 libpostproc-dev - development files for libpostproc
 libpostproc0d - ffmpeg video postprocessing library
Closes: 350027 350750 354391
Changes: 
 ffmpeg (0.cvs20060306-1) unstable; urgency=low
 .
   * New CVS snapshot.
   * Upstream now properly installs dsputil.h (Closes: #354391).
   * debian/control:
     + Distribute shared versions of the libraries with a Debian-specific
       soname.
   * debian/rules:
     + Removed all custom PIC rules.
     + Moved ffmpeg-config to libavformat-dev instead of libavcodec-dev so that
       it is present by default (Closes: #350750).
     + Include apiexample.c in libavcodec-dev (Closes: #350027).
Files: 
 26c9d00aa5bcd9389fa18bb1f66285ea 891 libs optional ffmpeg_0.cvs20060306-1.dsc
 8afc837a1e402488b4c90b637105fb7a 2127661 libs optional ffmpeg_0.cvs20060306.orig.tar.gz
 6d2590644a0524d1bba418ee89eb2d13 15357 libs optional ffmpeg_0.cvs20060306-1.diff.gz
 8febe8bccfdcc0e3a63a19257704f501 177318 graphics optional ffmpeg_0.cvs20060306-1_i386.deb
 bee59b4ee242f5746c4295a5f56d1b20 1320266 libs optional libavcodec0d_0.cvs20060306-1_i386.deb
 6e2ae24bc603f81d889d30fca23f5a07 32204 libs optional libpostproc0d_0.cvs20060306-1_i386.deb
 fcca416c0827916dc90535818970ff1c 264832 libs optional libavformat0d_0.cvs20060306-1_i386.deb
 842c56bdf5c4a59ee367f22ea7c70caa 1337058 libdevel optional libavcodec-dev_0.cvs20060306-1_i386.deb
 bde395ec25b4787bd03543cee1e41b98 31868 libdevel optional libpostproc-dev_0.cvs20060306-1_i386.deb
 7dc2fd2731676a6637240ee6006587f8 318264 libdevel optional libavformat-dev_0.cvs20060306-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFEDHwwfPP1rylJn2ERArZUAKCgwLWlYPuMzrRZQClyir7kDTCGBwCgpg+h
QU66Je8C9574NMttyf7inGM=
=emKM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 02:55:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:30:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.